<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: last_seen_users.php
| Author: Fangree Productions
| Based on Last Seen Users Panel By We. Vizitati www.gfxpixel.info!
| Developers Fangree_Craig 
| Site: http://www.fangree.co.uk/
| Contact: admin@fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."jq_enhanced_user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jq_enhanced_user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jq_enhanced_user_info_panel/locale/English.php";
}
$lastseen = "";
$lastseenb = "";

echo "<div class='side-label eui_head' title='".$locale['eui_101']."'><a class='eui_head' href='#' onclick=\"return false;\">".$locale['eui_151']."</a></div>\n";
echo "<div class='eui_body first_e' style='margin-bottom:3px'>\n";

$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_lastvisit>'0' AND user_status='0' ORDER BY user_lastvisit DESC LIMIT 0,5");

echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";

if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		$lastseen = time() - $data['user_lastvisit'];
		$iW=sprintf("%2d", floor($lastseen / 604800));
		$iD=sprintf("%2d", floor($lastseen / (60 * 60 * 24)));
		$iH=sprintf("%02d", floor((($lastseen % 604800) % 86400) / 3600));
		$iM=sprintf("%02d", floor(((($lastseen % 604800) % 86400) % 3600) / 60));
		$iS=sprintf("%02d", floor((((($lastseen % 604800) % 86400) % 3600) % 60)));
		
		if ($lastseen < 60){
			$lastseen = $locale['eui_152'];
		} elseif ($lastseen < 360){
			$lastseen = $locale['eui_153'];
		} elseif ($iW > 0){
			if ($iW == 1) {
				$text = $locale['eui_154'];
			} else {
				$text = $locale['eui_155'];
			}
			$lastseen = $iW." ".$text;
		} elseif ($iD > 0){
			if ($iD == 1) {
				$text = $locale['eui_156'];
			} else {
				$text = $locale['eui_157'];
			}
			$lastseen = $iD." ".$text;
		} else {
			$lastseen = $iH.":".$iM.":".$iS ;
			$lastseenb = "<img src='".INFUSIONS."jq_enhanced_user_info_panel/images/offline.png' border='0' width='8' height='8' alt='".$locale['eui_158']."' title='".$locale['eui_158']."' style='vertical-align:middle;' />";
		}
		if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
			$img = "<img src='".BASEDIR."images/avatars/".$data['user_avatar']."' title='".$data['user_name']."' alt='".$data['user_name']."' style='border:0' align='left' width='20' height='20' />";
		} else {
		 	$img = "<img src='".INFUSIONS."jq_enhanced_user_info_panel/images/noav.gif' alt='".$data['user_name']."' title='".$data['user_name']."' style='border:0' width='20' height='20' />";
	 	}
	 	echo "	<tr>\n";
		 echo "		<td class='side-small' align='left'>\n";
		 echo "			<table>\n";
		 echo "				<tr>\n";
		 echo "					<td><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' >".$img."</a></td>\n";
		 echo "					<td class='side-small'>\n";
		 echo "						<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' >".$data['user_name']."</a><br />\n";
		 echo "						".$lastseen." ".$lastseenb."\n";
		 echo "					</td>\n";
		 echo "				</tr>\n";
		 echo "			</table>\n";
		 echo "		</td>\n";
		 echo "	</tr>\n";
	}
}
echo "</table>\n";
echo "</div>\n";
?>